<?php
/**
 * Yii quiz
 *
 * @author Marc Oliveras <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2021 Oligalma
 * @license GPLv3 License
 */
 
class QuizModule extends CWebModule{
	/*
	 * Add parameters here. You can access them using Yii::app()->controller->module->myParameter
	 */
	public $db;
    public $defaultController ="Site";
	private $_assetsUrl;
	
    public function init()
    {
        $this->setImport(array(
                'quiz.models.*',
                'quiz.components.*',
        ));
		
        Yii::app()->setComponents(
        	array(
		       'db'=>array(
		           'class'=>'CDbConnection',
		           'tablePrefix' => 'tbl_',
		           'connectionString'=>'sqlite:'.dirname(__FILE__).'/data/quiz.sqlite',
		       ),
	           'errorHandler' => array(
	                'errorAction' => 'quiz/site/error'
				),
			)
		);
    }
	
	public function getAssetsUrl()
	{
	    if ($this->_assetsUrl === null)
	        $this->_assetsUrl = Yii::app()->getAssetManager()->publish(Yii::getPathOfAlias('quiz.assets'));
		
	    return $this->_assetsUrl;
	}
}
