<?php
/**
 * Yii quiz
 *
 * @author Marc Oliveras <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2021 Oligalma
 * @license GPLv3 License
 */
 
$this->pageTitle='Quiz';

$scriptquiz = '
	$(".category").click(function(){
		$("#wait").css("display", "block");
	});
';
Yii::app()->clientScript->registerScript('scriptquiz', $scriptquiz);
Yii::app()->clientScript->registerCss('cssquiz', '
	@media all and (min-width: 650px)
	{
		#quizrules
		{
			width:550px;
		}
	}

    #credits
    {
        font-size:14px;
    }
');
?>
<h1>Web design quizzes</h1>
<p style="text-align:center;font-size:20px;">
<?php
foreach($questions as $question):
	echo CHtml::link($question->category->name . ' (' . $question->questionCount . ' questions)', array("site/start", 'category' => $question->category_id), array('class' => 'category'));
?>
<br/>
<?php
endforeach;
?>
</p>
<p style="text-align:center;">
	<ul id="quizrules" style="padding:10px;margin:0 auto;">
		<li>You have just <?= SiteController::SECONDS_PER_QUESTION ?> seconds to answer each question.
		<?php
		if(SiteController::MINIMUM_SCORE !== false):
		?>
		<li>If you get <?= SiteController::MINIMUM_SCORE ?>% or more, you will be able to download a diploma!<br/>
		<?php
        endif;
		?>
	</ul> 
</p>
<div id="credits">
    Quiz engine developed by <?= CHtml::link('Oligalma', 'http://oligalma.com', array('target' => '_blank')) ?>
</div>
<div id="wait" style="top:25%;left:0%;width:100%;text-align:center;display:none;position:fixed">
	<?= CHtml::image($this->module->assetsUrl . '/images/loading.gif', 'loading', array('style' => 'background:white;border:1px solid black;')); ?>
</div>
